// Add new bookmark
function Tag_This(){

//  Open new Window for adding Bookmark
// Bookmark add operation
aPath="http://www.google.com/bookmarks/mark?op=add";

  var newWindow = window.open(aPath, "Tag This", "width=700,height=600,resizable=yes");
     newWindow.focus();
}


function GBLTut_Search(event, type)
{
	// Create a few variables
	var URL = "";
	var isEmpty = false;

	// Get a handle to our search terms box
	var searchTermsBox = document.getElementById("GBLTut-SearchTerms");
    
	// Get the value in the search terms box, trimming whitespace as necessary
	var searchTerms = GBLTut_TrimString(searchTermsBox.value);

	// If there are no search terms, than we set isEmpty to true
	// Otherwise, we convert the search terms to a safe URI version
	if(searchTerms.length == 0) { isEmpty = true; }
	else { searchTerms = GBLTut_ConvertTermsToURI(searchTerms); }

	// Do something different for differing search types
	switch(type)
	{
	// Build up the URL for an image search
	case "image":
		if(isEmpty) { URL = "http://images.google.com/"; }
		else		{ URL = "http://images.google.com/images?q=" + searchTerms; }
		break;

	// Build up the URL for a web search
	case "web":
	default:
		if(isEmpty) { URL = "http://www.google.com/"; }
		else        { URL = "http://www.google.com/search?q=" + searchTerms; }
		break;
	}
	
	// Load the URL in the browser window using the GBLTut_LoadURL function
	GBLTut_LoadURL(URL);
}

function GBLTut_TrimString(string)
{
	// Return empty if nothing was passed in
	if (!string) return "";
	
	// Efficiently replace any leading or trailing whitespace
	var value = string.replace(/^\s+/, '');
	value = string.replace(/\s+$/, '');
	
	// Replace any multiple whitespace characters with a single space
	value = value.replace(/\s+/g, ' ');
	
	// Return the altered string
	return value;
}

function GBLTut_ConvertTermsToURI(terms)
{
	// Split up the search terms based on the space character
	var termArray = new Array();
	termArray = terms.split(" ");
	var result = "";

	// Loop through the search terms, building up the result string
	for(var i=0; i<termArray.length; i++)
	{
		if(i > 0) { result += "+"; }
		
		// Call the built-in function encodeURIComponent() to clean up
		// this search term (making it safe for use in a URL)
		result += encodeURIComponent(termArray[i]);
	}

	// Return the result
	return result;
}

function GBLTut_LoadURL(URL)
{
	// Set the document's location to the incoming URL
	window._content.document.location = URL;
	
	// Make sure we get the focus
	window.content.focus();
}

function GBLTut_Populate()
{
	// Get the menu element that we will be working with
	var menu = document.getElementById("GBLTut-SearchTermsMenu");

	// Clean up whatever is currently in the menu
	for(var i=menu.childNodes.length - 1; i>=0; i--) {
		menu.removeChild(menu.childNodes.item(i));
	}

	// This string contains 5 "search terms", each separated by two pipes (||)
	var terms = "Googlebar Lite||Firefox web browser||Mozilla Foundation||Homestar Runner||They Might Be Giants";

	// Create an array based on the terms in the string above
	var termArray = new Array();
	termArray = terms.split("||");

	// Load the search terms into our menu
	for(var i=0; i<termArray.length; i++)
	{
		// For each search term, create a menu item element
		var tempItem = null;
		tempItem = document.createElement("menuitem");

		// Set the menuitem element's various attributes:
		// The label will be the search term itself
		// The tooltip will be the text "Dynamic Item #", where # is the number of the item
		
		tempItem.setAttribute("label", termArray[i]);
		tempItem.setAttribute("tooltiptext", "Dynamic Item " + (i+1));

		// Add the item to our menu
		menu.appendChild(tempItem);
	}
}
